Skip to main content

Posts

Showing posts from June 19, 2005

Spam Assassin Upgrade Log

son of babbage June 21, 2005 Goal: Use yum to upgrade spamassassin to the most current version (3.03) Issue: Spamassassin 2.61 is already installed and yum won't upgrade it. Solution: Remove existing version and reinstall from the DAG repository. 1. Remove existing version This step will remove spamassassin, the Plesk spamassassin interface, psa-spamassassin, plus the spamassassin section in each user's .qmail file. [admin@localhost admin]$ sudo yum remove spamassassin ... I will do the following: [erase: spamassassin 2.61-3.i586] I will erase these to satisfy the dependencies: [deps: psa-spamassassin 7.0.3-fc1.build040611.14.i586] Is this ok [y/N]: y Running test transaction: Test transaction complete, Success! ===> Reading /etc/psa/psa.conf ... Delete spamassassin preferences from .qmail files for mailnames ... Erased: spamassassin 2.61-3.i586 psa-spamassassin 7.0.3-fc1.build040611.14.i586 Transaction(s) Co…